Bug 50976 - Fails to build with error: git_sha1.h: No such file or directory
Summary: Fails to build with error: git_sha1.h: No such file or directory
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Other (show other bugs)
Version: git
Hardware: Other Linux (All)
: medium blocker
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-11 10:48 UTC by Darxus
Modified: 2016-06-14 02:36 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Darxus 2012-06-11 10:48:15 UTC
First bad commit:

07abd913b654a1a04a90db6203a92a14e4ae795a is the first bad commit
Author: Eric Anholt <eric@anholt.net>
    automake: Move top-level makefile to automake.

Last good commit (just before it):  743e505315b6be851618caed61981d7c1617bf45

I'm building with:  ./autogen.sh --prefix=$WLD --enable-gles2 --disable-gallium-egl --with-egl-platforms=wayland,x11,drm --enable-gbm --enable-shared-glapi --with-gallium-drivers=r300,r600,swrast,nouveau

Need to git clean or something to reproduce this, otherwise it works with a previously generated git_sha1.h.
Comment 1 Eric Anholt 2012-06-12 08:13:39 UTC
Thanks!

commit 7b11051a28731b099dc47df9e5db7eccfa889369
Author: Eric Anholt <eric@anholt.net>
Date:   Mon Jun 11 18:46:51 2012 -0700

    mesa: Build git_sha1.h before computing dependencies.
    
    Otherwise, version.c doesn't get a dependency on it in a clean build,
    and then it doesn't necessarily get generated before version.c is
    compiled.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=50976
    Reviewed-by: Jakob Bornecrantz jakob@vmware.com
Comment 2 Darxus 2012-06-12 09:24:08 UTC
Verified 7b11051a28731b099dc47df9e5db7eccfa889369 builds, thanks.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.